<OnlineRadioScreen>:
    BoxLayout:
        orientation: 'vertical'

        BoxLayout:
            size_hint_y: 1

            Button:
                size_hint: None, None
                size: 80, 80
                text: '<'
                on_release:
                    root.manager.transition.direction = 'right'
                    root.manager.current = 'MainScreen'

            Label:
                size_hint_y: None
                size: 80, 80
                text: 'ONLINE RADIO'

        BoxLayout:
            size_hint_y: 4
            orientation: 'vertical'

            BubbleButton:
                text: 'Mosaique FM'
                on_release: root.play_radio(self, 'https://radio.mosaiquefm.net/mosalive')

            BubbleButton:
                text: 'Jawhara FM'
                on_release: root.play_radio(self, 'http://streaming2.toutech.net:8000/jawharafm')

            BubbleButton:
                text: 'Shems FM'
                on_release: root.play_radio(self, 'http://stream6.tanitweb.com/shems')

        BoxLayout:
            size_hint_y: 1
            size: 80, 50

            Label:
                text: 'Radio Playing: '

            Label:
                id: radio_name_label
                text: ''

            Button:
                size_hint: None, None
                size: 100, 50
                text: 'STOP'
                on_release: root.stop_radio()
